# -*- encoding: utf-8 -*-
# stub: azure_mgmt_managed_applications 0.17.2 ruby lib

Gem::Specification.new do |s|
  s.name = "azure_mgmt_managed_applications".freeze
  s.version = "0.17.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/ChangeLog.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/master/management/azure_mgmt_managed_applications" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Microsoft Azure Managed Applications Library for Ruby".freeze
  s.email = "azrubyteam@microsoft.com".freeze
  s.files = ["LICENSE.txt".freeze, "lib/2016-09-01-preview".freeze, "lib/2016-09-01-preview/generated".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/appliance_definitions.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/appliances.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/managed_application_client.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_artifact.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_artifact_type.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_definition.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_definition_list_result.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_list_result.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_lock_level.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_patchable.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/appliance_provider_authorization.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/error_response.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/generic_resource.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/identity.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/plan.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/plan_patchable.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/provisioning_state.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/resource.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/resource_identity_type.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/models/sku.rb".freeze, "lib/2016-09-01-preview/generated/azure_mgmt_managed_applications/module_definition.rb".freeze, "lib/2017-09-01".freeze, "lib/2017-09-01/generated".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/application_client.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/application_definitions.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/applications.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_artifact.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_artifact_type.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_definition.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_definition_list_result.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_list_result.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_lock_level.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_patchable.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/application_provider_authorization.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/error_response.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/generic_resource.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/identity.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/plan.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/plan_patchable.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/provisioning_state.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/resource.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/resource_identity_type.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/models/sku.rb".freeze, "lib/2017-09-01/generated/azure_mgmt_managed_applications/module_definition.rb".freeze, "lib/2018-06-01".freeze, "lib/2018-06-01/generated".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/application_client.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/application_definitions.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/applications.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_artifact.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_artifact_type.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_definition.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_definition_list_result.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_list_result.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_lock_level.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_patchable.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/application_provider_authorization.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/error_response.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/generic_resource.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/identity.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/plan.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/plan_patchable.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/provisioning_state.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/resource.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/resource_identity_type.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/models/sku.rb".freeze, "lib/2018-06-01/generated/azure_mgmt_managed_applications/module_definition.rb".freeze, "lib/azure_mgmt_managed_applications.rb".freeze, "lib/module_definition.rb".freeze, "lib/profiles".freeze, "lib/profiles/latest".freeze, "lib/profiles/latest/managedapplications_latest_profile_client.rb".freeze, "lib/profiles/latest/managedapplications_module_definition.rb".freeze, "lib/profiles/latest/modules".freeze, "lib/profiles/latest/modules/managedapplications_profile_module.rb".freeze, "lib/version.rb".freeze]
  s.homepage = "https://aka.ms/azure-sdk-for-ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Official Ruby client library to consume Microsoft Azure Managed Applications.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_development_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_runtime_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.9"])
    s.add_dependency(%q<rake>.freeze, ["~> 10"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2"])
    s.add_dependency(%q<ms_rest_azure>.freeze, ["~> 0.11.1"])
  end
end
